[Python-modules-commits] [pytest-qt] 02/03: Run autopkgtests for all supported Python versions

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Wed Feb 22 14:49:12 UTC 2017


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch master
in repository pytest-qt.

commit 3feb2fd42e1e83f1e8f885d56512b21326107166
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Wed Feb 22 14:23:33 2017 +0000

    Run autopkgtests for all supported Python versions
---
 debian/tests/control | 30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index d78183d..79e03bc 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,14 +1,26 @@
-Test-Command: cp -a tests $AUTOPKGTEST_TMP
- ; cd $AUTOPKGTEST_TMP
- ; PYTEST_QT_API=pyqt5 xvfb-run -a python3 -m pytest tests
+Test-Command: set -e
+ ; cp -a tests "$AUTOPKGTEST_TMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; PYTEST_QT_API=pyqt5 xvfb-run $py -m pytest tests
+ ; done
 Depends: python3-pyqt5, python3-pytestqt, xauth, xvfb
 
-Test-Command: cp -a tests $AUTOPKGTEST_TMP
- ; cd $AUTOPKGTEST_TMP
- ; PYTEST_QT_API=pyside xvfb-run -a python3 -m pytest tests
+Test-Command: set -e
+ ; cp -a tests "$AUTOPKGTEST_TMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; PYTEST_QT_API=pyside xvfb-run $py -m pytest tests
+ ; done
 Depends: python3-pyside, python3-pytestqt, xauth, xvfb
 
-Test-Command: cp -a tests $AUTOPKGTEST_TMP
- ; cd $AUTOPKGTEST_TMP
- ; PYTEST_QT_API=pyqt4 xvfb-run -a python3 -m pytest tests
+Test-Command: set -e
+ ; cp -a tests "$AUTOPKGTEST_TMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; PYTEST_QT_API=pyqt4 xvfb-run $py -m pytest tests
+ ; done
 Depends: python3-pyqt4, python3-pytestqt, xauth, xvfb

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/pytest-qt.git



More information about the Python-modules-commits mailing list